﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Common.Unit.EntityValidation
{
    public class MobileAttribute : RegExValidationAttribute
    {
        public MobileAttribute()
        {
            RegEx = @"^(13[0-9]|14[579]|15[0-3,5-9]|16[6]|17[0135678]|18[0-9]|19[89])\d{8}$";  //手机号
            ErrorMessage = "请输入正确的手机号";
        }
    }
}
