﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Common.Unit.EntityValidation
{
    public class PassWordAttribute : RegExValidationAttribute
    {
        public PassWordAttribute()
        {
            RegEx = @"^[a-zA-Z]\w{5,17}$";  //弱密码
            ErrorMessage = "请输入正确的密码格式";
        }
    }
}
