﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http;
using WordByDocx.Word;

namespace G.MES.API.Controllers
{
    /// <summary>
    /// 报告导出
    /// </summary>
    public class ExportWordController : BasicController
    {
        /// <summary>
        /// 获取所选人的报告
        /// </summary>
        /// <param name="ClientInfosOID"></param>
        /// <returns></returns>
        [HttpPost]
        public string GetCurrentReport(List<Guid> ClientInfosOID)
        {
            if (ClientInfosOID.Count > 1)
            {
                returnWarn("暂不支持批量导出");
            }
            return CreateWordReport.CreateWord(ClientInfosOID[0]);
        }
    }
}