﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.Buss.BaseInfo.ViewModel.AuditLogDetailedModel
{
    public class GetAuditLogListResponseModel
    {
        /// <summary>
        /// 新增记录
        /// </summary>
        public List<AuditLogModel> AddAuditLogList { get; set; }
        /// <summary>
        /// 修改记录
        /// </summary>
        public List<AuditLogModel> UpdateAuditLogList { get; set; }
        /// <summary>
        /// 删除记录
        /// </summary>
        public List<AuditLogModel> DeleteAuditLogList { get; set; }
    }
    public class AuditLogModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid AuditOID { get; set; }
        /// <summary>
        /// 表名
        /// </summary>
        public string TableName { get; set; }
        /// <summary>
        /// 操作类型
        /// </summary>
        public string ActionType { get; set; }
        /// <summary>
        /// 修改前值
        /// </summary>
        public string ActBeforeValue { get; set; }
        /// <summary>
        /// 修改后值
        /// </summary>
        public string ActAfterValue { get; set; }
        /// <summary>
        /// 操作字段
        /// </summary>
        public string ActionParameters { get; set; }
    }
}
