﻿using G.MES.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.Buss.BaseInfo.ViewModel.GeneRequestModel
{
    public class GeneRequestModel:QueryPage
    {
        /// <summary>
        /// 查询条件
        /// </summary>
        public string QueryCondition { get; set; }
    }
    public class GeneSaveRequestModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid GeneOID { get; set; }
        /// <summary>
        /// 基因编号
        /// </summary>
        public string GeneCode { get; set; }

        /// <summary>
        /// 基因名称
        /// </summary>
        public string GeneName { get; set; }
        /// <summary>
        /// 基因说明
        /// </summary>

        public string GeneRemark { get; set; }
        /// <summary>
        /// PMID
        /// </summary>
        public string PMID { get; set; }
        /// <summary>
        /// 靶药
        /// </summary>
        public string TargetedMedicine { get; set; }
        /// <summary>
        /// 突变位点
        /// </summary>
        public string MutationSites { get; set; }
    }

    public class GeneQueryModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid GeneOID { get; set; }
        /// <summary>
        /// 基因编号
        /// </summary>
        public string GeneCode { get; set; }

        /// <summary>
        /// 基因名称
        /// </summary>
        public string GeneName { get; set; }
        /// <summary>
        /// 基因说明
        /// </summary>

        public string GeneRemark { get; set; }
        /// <summary>
        /// PMID
        /// </summary>
        public string PMID { get; set; }
        /// <summary>
        /// 靶药
        /// </summary>
        public string TargetedMedicine { get; set; }
        /// <summary>
        /// 突变位点
        /// </summary>
        public string MutationSites { get; set; }

        

        public string ClassCode { get; set; }
    }
}
