﻿using System;
using System.CodeDom;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Common.Unit.NetJson;
using G.MES.ViewModel;
using Newtonsoft.Json;
using  Common.Unit.NetJson;

namespace G.Buss.BaseInfo.ViewModel.SystemLoggingModel
{
    /// <summary>
    /// 系统日志请求实体类
    /// </summary>
    public class SystemLoggingRequestModel
    {
        public int PageNumber { get; set; }
        public int PageSize { get; set; }
        ///<summary>进入时间<summary>
        public Compare EnterTime { get; set; }
        ///<summary>结束时间<summary>
        public Compare EndTime { get; set; }
        ///<summary>耗时<summary>
        public Compare CostTime { get; set; }
        ///<summary>请求地址<summary>
        public  string RequestUri { get; set; }
        ///<summary>请求参数<summary>
        public  string RequestParamaters { get; set; }
        ///<summary>返回参数<summary>
        public  string ResponseParamaters { get; set; }
        ///<summary>客户IP<summary>
        public  string UserIP { get; set; }
        ///<summary>服务端IP<summary>
        public  string ServerIP { get; set; }
        ///<summary>浏览器<summary>
        public  string Browser { get; set; }
        ///<summary>用户名称<summary>
        public string UserName { get; set; }
    }
    public class SystemLoggingModel
    {
        /// <summary>
        /// 日志主键
        /// </summary>
        public Guid SystemLoggingOID { get; set; }
        ///<summary>进入时间<summary>
        [JsonConverter(typeof(LongDateFormat))]
        public DateTime? EnterTime { get; set; }
        ///<summary>结束时间<summary>

        [JsonConverter(typeof(LongDateFormat))]
        public DateTime? EndTime { get; set; }
        ///<summary>耗时<summary>
        public int? CostTime { get; set; }
        ///<summary>请求地址<summary>
        public string RequestUri { get; set; }
        ///<summary>请求参数<summary>
        public string RequestParamaters { get; set; }
        ///<summary>返回参数<summary>
        public string ResponseParamaters { get; set; }
        ///<summary>客户IP<summary>
        public string UserIP { get; set; }
        ///<summary>服务端IP<summary>
        public string ServerIP { get; set; }
        ///<summary>浏览器<summary>
        public string Browser { get; set; }
        ///<summary>用户名称<summary>
        public string UserName { get; set; }
    }
}
