﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.MES.ViewModel
{
    public class LoginInfo
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        public Guid? Sys_UserOID { get; set; }
        /// <summary>
        /// 登陆账号
        /// </summary>
        public string USR_LOGIN { get; set; }
        /// <summary>
        /// 密码
        /// </summary>
        public string PassWord { get; set; }

        /// <summary>
        /// 用户手机号
        /// </summary>
        public string Mobile { get; set; }
        /// <summary>
        /// 用户姓名
        /// </summary>
        public string EmployeeName { get; set; }
        /// <summary>
        /// 用户岗位
        /// </summary>
        public string PostName { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        public string DivisionName { get; set; }

        /// <summary>
        /// 公司名称
        /// </summary>
        public string OrgName { get; set; }

        /// <summary>
        /// 头像
        /// </summary>
        public string Photo { get; set; }

        /// <summary>
        /// 岗位主键
        /// </summary>
        public Guid? Sys_PostOID { get; set; }


        /// <summary>
        /// 部门信息主键
        /// </summary>
        public Guid? Sys_DivisionOID { get; set; }


        /// <summary>
        /// 公司信息主键
        /// </summary>
        public Guid? Sys_OrganizeOID { get; set; }

        /// <summary>
        /// token
        /// </summary>
        public string Token { get; set; }

        /// <summary>
        /// 公司层次码
        /// </summary>
        public string OrgClassCode { get; set; }

        public byte[] photossz { get; set; }
        /// <summary>
        /// 岗位分类主键
        /// </summary>
        public Guid? Sys_PostClassOID { get; set; }



    }
}