﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using Xceed.Words.NET;

namespace WordByDocx.Word
{
    public class CreateWordReport
    {
        public static readonly string BaseDic = ConfigurationManager.AppSettings["TemplateDic"];
        public static readonly string OutDic = ConfigurationManager.AppSettings["OutDic"];
        public static readonly string DownLoadDic = ConfigurationManager.AppSettings["downLoadDic"];
        //public static readonly string BaseDic = @"F:\Work\Project\报告系统\Git\ReportingSystemAPI\UnitTestWord\bin\Debug\template\参考报告.docx";
        //public static readonly string OutDic = @"F:\Work\Project\报告系统\Git\ReportingSystemAPI\UnitTestWord\bin\Debug\template\";
        public static string CreateWord(Guid guids)
        {
            //for (int i = 0; i < guids.Count; i++)
            //{
            //    ThreadPool.
            //}
            string tick = DateTime.Now.Ticks.ToString();
            Spire.Doc.Document document = new Spire.Doc.Document();
            document.LoadFromFile(BaseDic);
            //guids = new Guid("09B141B3-2E2A-4DF7-A9B9-B281B7AC0DAE");
            ReplaceText replaceText = new ReplaceText(document);
            replaceText.ReplaceUserInfo(guids);
            replaceText.ReplaceTMBTable();
            replaceText.ReplaceMSITable();
            replaceText.ReplaceTargetDrugReferences();
            replaceText.ReplaceChemicalMedicineReferences();
            replaceText.ReplaceGeneList();
            replaceText.ReplaceSummary();
            replaceText.ReplaceChemotherapy();
            replaceText.ReplaceSampleQuality();
            string fileName = "out-" + tick + ".docx";
            document.SaveToFile(OutDic + fileName);
            using (var documentDocx = DocX.Load(OutDic + fileName))
            {
                documentDocx.Paragraphs[0].ReplaceText("Evaluation Warning: The document was created with Spire.Doc for .NET.", "");
                documentDocx.Save();
            }
            return DownLoadDic + fileName;
        }
    }
}
