﻿using G.MES.API.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web;
using System.Web.Http.Filters;

namespace G.MES.API.App_Start
{
    public class ApiResultAttribute : System.Web.Http.Filters.ActionFilterAttribute
    {
        /// <summary>
        /// 程序执行OK执行的数据封装
        /// </summary>
        /// <param name="actionExecutedContext"></param>
        public override void OnActionExecuted(HttpActionExecutedContext actionExecutedContext)
        {
            if (actionExecutedContext.Exception != null) return;
            base.OnActionExecuted(actionExecutedContext);
            ApiResult result = new ApiResult();
            result.Status = "SUCCESS";
            result.StatusCode = HttpStatusCode.OK;
            result.MsgCode = 200;
            var data=actionExecutedContext.ActionContext.Response.Content.ReadAsAsync<object>();
            result.Data = data ==null?"":data.Result;
            actionExecutedContext.Response = actionExecutedContext.Request.CreateResponse(HttpStatusCode.OK, result);
        }
    }
}