﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;
using G.MES.ViewModel;
using Common.Unit.NetJson;

namespace G.Buss.BaseInfo.ViewModel.ChooseModel
{
    /// <summary>
    /// 选择问卷分类，返回实体
    /// </summary>
    public class RespPaPerTypeChooseModel
    {
        public Guid tb_paper_typeOID { get; set; }

        public string title { get; set; }
        public int? state { get; set; }
        [JsonIgnore]
        public string classCode { get; set; }

        [JsonConverter (typeof(LongDateFormat))]
        public DateTime? SYS_Created { get; set; }

    }
    public class ReqQueryPaPerType: QueryPage
    {
        public string title { get; set; }
    }
}
