﻿using G.MES.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.Buss.BaseInfo.ViewModel.GeneCorrelationModel
{
    public class GeneCorrelationRequestModel:QueryPage
    {
        /// <summary>
        /// 查询条件
        /// </summary>
        public string QueryCondition { get; set; }
    }
    public class GeneCorrelationSaveRequestModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid GeneCorrelationOID { get; set; }
        /// <summary>
        /// 基因名称
        /// </summary>
        public string GeneName { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int? SortNo { get; set; }
        /// <summary>
        /// 类型
        /// </summary>

        public string Type { get; set; }
       
    }

    public class GeneCorrelationQueryModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid GeneCorrelationOID { get; set; }
        /// <summary>
        /// 基因名称
        /// </summary>
        public string GeneName { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int? SortNo { get; set; }
        /// <summary>
        /// 类型
        /// </summary>

        public string Type { get; set; }
      
        public string ClassCode { get; set; }
        /// <summary>
        /// 颜色
        /// </summary>

        public string Color { get; set; }
    }
}
