﻿using G.MES.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.Buss.BaseInfo.ViewModel.GeneticRisksModel
{
    public class GeneticRisksRequestModel:QueryPage
    {
        /// <summary>
        /// 查询条件
        /// </summary>
        public string QueryCondition { get; set; }
    }
    public class GeneticRisksSaveRequestModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid GeneticRisksOID { get; set; }
        /// <summary>
        /// 样本编码
        /// </summary>
        public string SampleCode { get; set; }

        /// <summary>
        /// 基因名称
        /// </summary>
        public string GeneName { get; set; }
        /// <summary>
        /// 突变情况
        /// </summary>

        public string Mutations { get; set; }
        /// <summary>
        /// 突变类型
        /// </summary>
        public string MutationType { get; set; }
        /// <summary>
        /// 杂合性
        /// </summary>
        public string Heterozygosity { get; set; }
        /// <summary>
        /// 风险评估
        /// </summary>
        public string RiskAssessment { get; set; }
    }

    public class GeneticRisksQueryModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid GeneticRisksOID { get; set; }
        /// <summary>
        /// 样本编码
        /// </summary>
        public string SampleCode { get; set; }

        /// <summary>
        /// 基因名称
        /// </summary>
        public string GeneName { get; set; }
        /// <summary>
        /// 突变情况
        /// </summary>

        public string Mutations { get; set; }
        /// <summary>
        /// 突变类型
        /// </summary>
        public string MutationType { get; set; }
        /// <summary>
        /// 杂合性
        /// </summary>
        public string Heterozygosity { get; set; }
        /// <summary>
        /// 风险评估
        /// </summary>
        public string RiskAssessment { get; set; }



        public string ClassCode { get; set; }
    }
}
