﻿using G.MES.ViewModel;
using System;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.Buss.BaseInfo.ViewModel.SampleControlModel
{
    public class SampleControlRequestModel:QueryPage
    { 
        /// <summary>
      /// 查询条件
      /// </summary>
        public string QueryCondition { get; set; }
    }
    public class SampleControlSaveRequestModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid SampleControlOID { get; set; }
        /// <summary>
        /// 质控步骤
        /// </summary>
        public string ControlStep { get; set; }

        /// <summary>
        /// 质控结果
        /// </summary>
        public string ControlResult { get; set; }
        /// <summary>
        /// 顺序
        /// </summary>
        public int? SortNo { get; set; }
    }

    public class SampleControlQueryModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid SampleControlOID { get; set; }
        /// <summary>
        /// 质控步骤
        /// </summary>
        public string ControlStep { get; set; }

        /// <summary>
        /// 质控结果
        /// </summary>
        public string ControlResult { get; set; }
        /// <summary>
        /// 顺序
        /// </summary>
        public int? SortNo { get; set; }

        public string ClassCode { get; set; }
    }
}
