﻿using G.MES.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.Buss.BaseInfo.ViewModel.SampleTypeModel
{
    public class SampleTypeRequestModel:QueryPage
    {
        /// <summary>
        /// 查询条件
        /// </summary>
        public string QueryCondition { get; set; }
    }

    public class SampleTypeSaveRequestModel 
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid SampleTypeOID { get; set; }
        /// <summary>
        /// 样本编号
        /// </summary>
        public string SampleCode { get; set; }

        /// <summary>
        /// 样本名称
        /// </summary>
        public string SampleName { get; set; }
    }

    public class SampleTypeQueryModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid SampleTypeOID { get; set; }
        /// <summary>
        /// 样本编号
        /// </summary>
        public string SampleCode { get; set; }

        /// <summary>
        /// 样本名称
        /// </summary>
        public string SampleName { get; set; }

        public string ClassCode { get; set; }
        public Guid ClientOID { get; set; }
    }
    public class SampleTypeSelectModel
    { 
        /// <summary>
        /// 样本编号
        /// </summary>
        public string SampleCode { get; set; }

        /// <summary>
        /// 样本名称
        /// </summary>
        public string SampleName { get; set; }

    }
}
