﻿using G.MES.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.Buss.BaseInfo.ViewModel.TargetedMedicineModel
{
    public class TargetedMedicineRequestModel:QueryPage
    {

        /// <summary>
        /// 查询条件
        /// </summary>
        public string QueryCondition { get; set; }
    }

    public class TargetedMedicineSaveRequestModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid TargetedMedicineOID { get; set; }
        /// <summary>
        /// 靶药编号
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 靶药名称
        /// </summary>
        public string MedicineName { get; set; }
        /// <summary>
        /// 疾病类型
        /// </summary>

        public string DiseaseType { get; set; }
        /// <summary>
        /// 适应症
        /// </summary>
        public string Indication { get; set; }
    }

    public class TargetedMedicineQueryModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid TargetedMedicineOID { get; set; }
        /// <summary>
        /// 靶药编号
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 靶药名称
        /// </summary>
        public string MedicineName { get; set; }
        /// <summary>
        /// 疾病类型
        /// </summary>

        public string DiseaseType { get; set; }
        /// <summary>
        /// 适应症
        /// </summary>
        public string Indication { get; set; }

        public string ClassCode { get; set; }
    }
}
