﻿using G.MES.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.Buss.BaseInfo.ViewModel.Tumorss
{
    /// <summary>
    /// 列表查询请求
    /// </summary>
    public class TumorsTypeRequestModel:QueryPage
    {

        /// <summary>
        /// 查询条件
        /// </summary>
        public string QueryCondition { get; set; }
    }
    /// <summary>
    /// 肿瘤保存或更新
    /// </summary>
      public class TumorsTypeSaveRequestModel 
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid TumorsTypeOID { get; set; }
        /// <summary>
        /// 肿瘤编号
        /// </summary>
        public string TumorsCode { get; set; }

        /// <summary>
        /// 肿瘤名称
        /// </summary>
        public string TumorsName { get; set; }
    }
    /// <summary>
    /// ORM列表查询实体类
    /// </summary>
    public class TumorsTypeQueryModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid TumorsTypeOID { get; set; }
        /// <summary>
        /// 肿瘤编号
        /// </summary>
        public string TumorsCode { get; set; }

        /// <summary>
        /// 肿瘤名称
        /// </summary>
        public string TumorsName { get; set; }

        public string ClassCode { get; set; }
    }

    public class TumorsTypeSelectModel
    { 
        /// <summary>
        /// 肿瘤编号
        /// </summary>
        public string TumorsCode { get; set; }

        /// <summary>
        /// 肿瘤名称
        /// </summary>
        public string TumorsName { get; set; }

    }
}
