﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.Buss.System.ViewModel
{
    /// <summary>
    /// 菜单表
    /// </summary>
    [Serializable]
    public  class Sys_BusiPortalMenu
    {
        public Sys_BusiPortalMenu()
        { }
        #region Model
        private Guid _sys_busiportalmenuoid;
        private string _name;
        private int _linkbusitype;
        private string _route;
        private string _imagelink;
        private string _param;
        private Guid _parentoid;
        private int? _sortno;
        private bool _isstopusing = false;
        private int _openmode = 1;
        /// <summary>
        /// 主键
        /// </summary>
        public Guid Sys_BusiPortalMenuOID
        {
            set { _sys_busiportalmenuoid = value; }
            get { return _sys_busiportalmenuoid; }
        }
        /// <summary>
        /// 名称
        /// </summary>
        public string Name
        {
            set { _name = value; }
            get { return _name; }
        }
        /// <summary>
        /// 0-业务模块
        ///   1-网址
        ///   
        /// </summary>
        public int LinkBusiType
        {
            set { _linkbusitype = value; }
            get { return _linkbusitype; }
        }
        /// <summary>
        /// 路由地址
        /// </summary>
        public string Route
        {
            set { _route = value; }
            get { return _route; }
        }
        /// <summary>
        /// 一般是字体图标的样式名称
        /// </summary>
        public string ImageLink
        {
            set { _imagelink = value; }
            get { return _imagelink; }
        }
        /// <summary>
        /// URL参数
        /// </summary>
        public string Param
        {
            set { _param = value; }
            get { return _param; }
        }
        /// <summary>
        /// 父键值
        /// </summary>
        public Guid ParentOID
        {
            set { _parentoid = value; }
            get { return _parentoid; }
        }
        /// <summary>
        /// 排序号
        ///   10
        ///   20
        /// </summary>
        public int? SortNo
        {
            set { _sortno = value; }
            get { return _sortno; }
        }
        /// <summary>
        /// 是否停用
        /// </summary>
        public bool IsStopUsing
        {
            set { _isstopusing = value; }
            get { return _isstopusing; }
        }
        /// <summary>
        /// 打开方式
        ///   0-框架内跳转
        ///   1-打开新窗口（弹出层）
        /// </summary>
        public int OpenMode
        {
            set { _openmode = value; }
            get { return _openmode; }
        }
        public List<Sys_BusiPortalMenu> children { get; set; }

        public int leves { get; set; }

        public string viewstate { get; set; }
        #endregion Model



    }
}
